#include "../../include/all.h"
#include <stdio.h>
#include <stdlib.h>
#include <strings.h>

#define DATA_DIR "./examples"

int main(int argc, char *argv[]) {
  int      ret = EXIT_FAILURE;
  lm_ctx_t ctx;

  if (argc != 2) {
    printf("usage: %s <host>\n", argv[0]);
    return ret;
  }

  lm_ctx_init(&ctx);

  if (!lm_ctx_set_data(&ctx, DATA_DIR)) {
    printf("failed to set data dir: %s (%d)\n", lm_strerror(), lm_error());
    goto end;
  }

  if (lm_ctx_pool_add(&ctx, "test", "mptp://127.0.0.1:5858") == NULL) {
    printf("failed to add pool: %s (%d)\n", lm_strerror(), lm_error());
    goto end;
  }

  lm_ctx_sync(&ctx, false, NULL, NULL);

  if (!lm_ctx_serve(&ctx, argv[1], 10, NULL, NULL)) {
    printf("failed to serve the pools: %s (%d)\n", lm_strerror(), lm_error());
    goto end;
  }

  ret = EXIT_SUCCESS;
end:
  lm_ctx_free(&ctx);
  return ret;
}
